# rtpvp8pay

Puts VP8 video in RTP packets

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPBasePayload
                        ╰──rtpvp8pay

## Factory details

Authors: – Sjoerd Simons <sjoerd></sjoerd>

Classification: – `Codec/Payloader/Network/RTP`

Rank – marginal

Plugin – rtp

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-vp8:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    application/x-rtp:
            payload: [ 96, 127 ]
         clock-rate: 90000
      encoding-name: { (string)VP8, (string)VP8-DRAFT-IETF-01 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### picture-id

    “picture-id” gint

Currently used picture-id

Flags : Read

Default value : 0

Since : 1.24

### picture-id-mode

    “picture-id-mode” Vp8rtppay-mode *

The picture ID mode for payloading

Flags : Read / Write

Default value : none (0)

### picture-id-offset

    “picture-id-offset” gint

Offset to add to the initial picture-id (-1 = random)

Flags : Read / Write

Default value : -1

Since : 1.20

## Named constants

### Vp8rtppay-mode

#### Members

`none` (0) – No Picture ID
`7-bit` (1) – 7-bit Picture ID
`15-bit` (2) – 15-bit Picture ID

The results of the search are